<?php
/**
 * Logistics Firm functions
 */

if ( ! function_exists( 'logistics_firm_setup' ) ) :
function logistics_firm_setup() {
    load_theme_textdomain( 'logistics-firm', get_template_directory() . '/languages' );

	/**
	* About Theme Function
	*/
	require get_theme_file_path( '/about-theme/about-theme.php' );
	
}
endif; 
add_action( 'after_setup_theme', 'logistics_firm_setup' );

//Admin css
	add_editor_style( array( 'assets/css/admin.css' ) );

if ( ! function_exists( 'logistics_firm_styles' ) ) :
	function logistics_firm_styles() {
		// Register theme stylesheet.
		wp_register_style('logistics-firm-style',
			get_template_directory_uri() . '/style.css',array(),
			wp_get_theme()->get( 'Version' )
		);
		
		wp_enqueue_style( 
			'fontawesome-style', 
			get_template_directory_uri() .'/assets/fontawesome/css/all.css' 
		);

		wp_enqueue_style( 
			'swiper-bundle-style', 
			get_template_directory_uri() .'/assets/css/swiper-bundle.css' 
		);

		wp_enqueue_script( 
			'swiper-bundle-script', 
			get_template_directory_uri() . '/assets/js/swiper-bundle.js', 
			array(), 
			null, 
			true 
		);

		wp_enqueue_script(
			'logistics-firm-js',
			get_template_directory_uri() . '/assets/js/effects.js',
			array('jquery', 'swiper-bundle-script'),
			wp_get_theme()->get('Version'),
			true
		);

		// Scroll to top CSS and JS
		wp_enqueue_style( 'dashicons' );
		
		wp_enqueue_style( 'scroll-to-top-style',
			get_template_directory_uri() . '/assets/css/scroll-to-top.css',
			array(),
			wp_get_theme()->get('Version')
		);

		wp_enqueue_script( 'scroll-to-top-js',
			get_template_directory_uri() . '/assets/js/scroll-to-top.js',
			array(),
			wp_get_theme()->get('Version'),
			true
		);

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'logistics-firm-style' );

		wp_style_add_data( 'logistics-firm-style', 'rtl', 'replace' );

	}
endif;
add_action( 'wp_enqueue_scripts', 'logistics_firm_styles' );

/**
 * Customizer
 */
require get_template_directory() . '/inc/customizer.php';